#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: HTTP
version: 4000.3.10
id: HTTP-4000.3.10-J7TQki2rgLS9oNKIwzXpe3
key: HTTP-4000.3.10-J7TQki2rgLS9oNKIwzXpe3
license: BSD3
maintainer: Ganesh Sittampalam <ganesh@earth.li>
homepage: https://github.com/haskell/HTTP
synopsis: A library for client-side HTTP
description:
    The HTTP package supports client-side web programming in Haskell. It lets you set up
    HTTP connections, transmitting requests and processing the responses coming back, all
    from within the comforts of Haskell. It'\''s dependent on the network package to operate,
    but other than that, the implementation is all written in Haskell.
    .
    A basic API for issuing single HTTP requests + receiving responses is provided. On top
    of that, a session-level abstraction is also on offer  (the @BrowserAction@ monad);
    it taking care of handling the management of persistent connections, proxies,
    state (cookies) and authentication credentials required to handle multi-step
    interactions with a web server.
    .
    The representation of the bytes flowing across is extensible via the use of a type class,
    letting you pick the representation of requests and responses that best fits your use.
    Some pre-packaged, common instances are provided for you (@ByteString@, @String@).
    .
    Here'\''s an example use:
    .
    >
    >    do
    >      rsp <- Network.HTTP.simpleHTTP (getRequest "http://www.haskell.org/")
    >              -- fetch document and return it (as a '\''String'\''.)
    >      fmap (take 100) (getResponseBody rsp)
    >
    >    do
    >      (_, rsp)
    >         <- Network.Browser.browse $ do
    >               setAllowRedirects True -- handle HTTP redirects
    >               request $ getRequest "http://www.haskell.org/"
    >      return (take 100 (rspBody rsp))
    .
    __Note:__ This package does not support HTTPS connections.
    If you need HTTPS, take a look at the following packages:
    .
    * <http://hackage.haskell.org/package/http-streams http-streams>
    .
    * <http://hackage.haskell.org/package/http-client http-client> (in combination with
    <http://hackage.haskell.org/package/http-client-tls http-client-tls>)
    .
    * <http://hackage.haskell.org/package/req req>
    .
    * <http://hackage.haskell.org/package/wreq wreq>
    .
category: Network
author: Warrick Gray <warrick.gray@hotmail.com>
exposed: True
indefinite: False
exposed-modules:
    Network.Browser Network.BufferType Network.HTTP Network.HTTP.Auth
    Network.HTTP.Base Network.HTTP.Cookie Network.HTTP.HandleStream
    Network.HTTP.Headers Network.HTTP.Proxy Network.HTTP.Stream
    Network.Stream Network.StreamDebugger Network.StreamSocket
    Network.TCP
hidden-modules: Network.HTTP.Base64 Network.HTTP.MD5Aux
                Network.HTTP.Utils Paths_HTTP
abi: 1ac379c48f012739513f6772836a6ed9
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/HTTP-4000.3.10
library-dirs: /usr/lib/ghc-8.2.2/site-local/HTTP-4000.3.10
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.2/HTTP-4000.3.10
hs-libraries: HSHTTP-4000.3.10-J7TQki2rgLS9oNKIwzXpe3
depends:
    base-4.10.1.0 parsec-3.1.13.0-lnA0oAxTgL1KjACiBdQ3F array-0.5.2.0
    bytestring-0.10.8.2 time-1.8.0.2 mtl-2.2.2-8XubxMJDT8QLsstvlNotkc
    network-uri-2.6.1.0-70Dn88tZogC6ueZsHNuWT3
    network-2.6.3.4-8L4uSVu9H2RKc9gFtidscN
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             parsec-3.1.13.0-lnA0oAxTgL1KjACiBdQ3F=688f5e7444a80128e4a1c39bd128d195
             array-0.5.2.0=26dc06837667b4f45ea7fe07c114ff89
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             time-1.8.0.2=7cc0324e0aef789d5f0780f6640c241b
             mtl-2.2.2-8XubxMJDT8QLsstvlNotkc=ada793ec1f149425d0c0689d53e1173b
             network-uri-2.6.1.0-70Dn88tZogC6ueZsHNuWT3=afebcc3944e17103658dd7506cfde008
             network-2.6.3.4-8L4uSVu9H2RKc9gFtidscN=ea581c47f7afb58d7ebae83854dc6afa
haddock-interfaces: /usr/share/doc/haskell-http/html/HTTP.haddock
haddock-html: /usr/share/doc/haskell-http/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

